vpx_rc_encodeframe_info Struct Reference

Information for the frame to be encoded. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields

int | frame_type
int | show_index
int | coding_index
int | gop_index
int | ref_frame_coding_indexes [3]
int | ref_frame_valid_list [3]

## Detailed Description

Information for the frame to be encoded.

The encoder will send the information to external rate control model through get_encodeframe_decision() defined in vpx_rc_funcs_t.

## Field Documentation

## frame_type

int vpx_rc_encodeframe_info::frame_type

0: Key frame 1: Inter frame 2: Alternate reference frame 3: Overlay frame 4: Golden frame

## show_index

int vpx_rc_encodeframe_info::show_index

display index, starts from zero

## coding_index

int vpx_rc_encodeframe_info::coding_index

coding index, starts from zero

## gop_index

int vpx_rc_encodeframe_info::gop_index

index in group of picture, starts from zero.

## ref_frame_coding_indexes

int vpx_rc_encodeframe_info::ref_frame_coding_indexes[3]

three reference frames' coding indices

## ref_frame_valid_list

int vpx_rc_encodeframe_info::ref_frame_valid_list[3]

The validity of the three reference frames. 0: Invalid 1: Valid

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h